Subject: manage_clone gives permission error since Zope2
From: Florian Mueller <[email-masked]>
To: [email-masked]
Date: Sun, 22 Aug 1999 16:34:14 +0200

Hi there!

Since we upgraded to Zope 2.0.0b4, I have major troubles
with "manage_clone" in a product which worked fine before.
Whenever I try using it, I get permission errors, even the superuser
cannot use the method that worked fine before.
Assuming I did something wrong, I took the Zope Content Manager
Guide and typed the Plutonia example in again. It uses "manage_clone"
as I do in my product.
I ran this example, and hey! It did not work and gave
the same weired "ApplicationDefaultPermissions" errors and stuff
like that.
I tried login as a superuser, and again I got authorization errors.

First of all I though the error must have to do with wrong permission
settings
of my role, but than the superuser should not get an error, right?
I also don't understand the new "mapping" permissions in the products
since Zope2.

Any clarification?

Thanks,
Floyd

--
http://floyd.va.com.au